<?xml version="1.0" encoding="UTF-8"?>
<!-- Generated with glade 3.22.1 

The MIT License (MIT)

Copyright (c) 2018-2019 Alison Sanderson

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

Author: Alison Sanderson

-->
<interface>
  <requires lib="gtk+" version="3.16"/>
  <!-- interface-license-type mit -->
  <!-- interface-name Maraiah Tycho -->
  <!-- interface-description Tycho map editor for Maraiah. -->
  <!-- interface-copyright 2018-2019 Alison Sanderson -->
  <!-- interface-authors Alison Sanderson -->
  <object class="GtkAdjustment" id="adj-map-horz">
    <property name="upper">100</property>
    <property name="step_increment">1</property>
    <property name="page_increment">10</property>
  </object>
  <object class="GtkAdjustment" id="adj-map-vert">
    <property name="upper">100</property>
    <property name="step_increment">1</property>
    <property name="page_increment">10</property>
  </object>
  <object class="GtkWindow" id="win-map-view">
    <property name="can_focus">False</property>
    <property name="title" translatable="yes">Map View</property>
    <property name="default_width">600</property>
    <property name="default_height">400</property>
    <child type="titlebar">
      <placeholder/>
    </child>
    <child>
      <object class="GtkScrolledWindow">
        <property name="visible">True</property>
        <property name="can_focus">True</property>
        <property name="hscrollbar_policy">always</property>
        <property name="vscrollbar_policy">always</property>
        <property name="window_placement">top-right</property>
        <property name="overlay_scrolling">False</property>
        <child>
          <object class="GtkViewport">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="hadjustment">adj-map-horz</property>
            <property name="vadjustment">adj-map-vert</property>
            <child>
              <object class="GtkDrawingArea" id="draw-area">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
              </object>
            </child>
          </object>
        </child>
      </object>
    </child>
  </object>
  <object class="GtkAdjustment" id="adj-phys-id">
    <property name="upper">65535</property>
    <property name="step_increment">1</property>
    <property name="page_increment">10</property>
  </object>
  <object class="GtkWindow" id="win-map-prop">
    <property name="can_focus">False</property>
    <property name="border_width">5</property>
    <property name="title" translatable="yes">Map Properties</property>
    <child>
      <placeholder/>
    </child>
    <child>
      <object class="GtkBox">
        <property name="visible">True</property>
        <property name="can_focus">False</property>
        <property name="orientation">vertical</property>
        <property name="spacing">5</property>
        <child>
          <object class="GtkFrame">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="label_xalign">0</property>
            <property name="shadow_type">none</property>
            <child>
              <object class="GtkAlignment">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="left_padding">12</property>
                <child>
                  <object class="GtkEntry" id="ent-map-name">
                    <property name="visible">True</property>
                    <property name="can_focus">True</property>
                    <property name="tooltip_text" translatable="yes">The name of the map. Unicode symbols that are supported by the Mac OS Roman encoding are converted automatically when saved.</property>
                  </object>
                </child>
              </object>
            </child>
            <child type="label">
              <object class="GtkLabel">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="label" translatable="yes">Map Name</property>
              </object>
            </child>
          </object>
          <packing>
            <property name="expand">False</property>
            <property name="fill">True</property>
            <property name="position">0</property>
          </packing>
        </child>
        <child>
          <object class="GtkBox">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="spacing">5</property>
            <child>
              <object class="GtkBox">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="orientation">vertical</property>
                <property name="spacing">5</property>
                <property name="homogeneous">True</property>
                <child>
                  <object class="GtkFrame">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="label_xalign">0</property>
                    <property name="shadow_type">none</property>
                    <child>
                      <object class="GtkAlignment">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="xalign">0</property>
                        <property name="yalign">0</property>
                        <property name="yscale">0</property>
                        <property name="left_padding">12</property>
                        <child>
                          <object class="GtkComboBoxText">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="tooltip_text" translatable="yes">The texture collection to use for the map. This is one of five bitmap collections stored in the Shapes file.</property>
                            <property name="active">0</property>
                            <items>
                              <item translatable="yes">Water</item>
                              <item translatable="yes">Lava</item>
                              <item translatable="yes">Sewage</item>
                              <item translatable="yes">Jjaro</item>
                              <item translatable="yes">Pfhor</item>
                            </items>
                          </object>
                        </child>
                      </object>
                    </child>
                    <child type="label">
                      <object class="GtkLabel">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="label" translatable="yes">Texture Set</property>
                      </object>
                    </child>
                  </object>
                  <packing>
                    <property name="expand">False</property>
                    <property name="fill">True</property>
                    <property name="position">0</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkFrame">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="label_xalign">0</property>
                    <property name="shadow_type">none</property>
                    <child>
                      <object class="GtkAlignment">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="xalign">0</property>
                        <property name="yalign">0</property>
                        <property name="yscale">0</property>
                        <property name="left_padding">12</property>
                        <child>
                          <object class="GtkComboBoxText">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="tooltip_text" translatable="yes">The sky to display on sides which are marked as "Landscape." This is the sole bitmap of one of four collections in the Shapes file.</property>
                            <property name="active">0</property>
                            <items>
                              <item translatable="yes">Lh'owon Day</item>
                              <item translatable="yes">Lh'owon Night</item>
                              <item translatable="yes">Moon</item>
                              <item translatable="yes">Space</item>
                            </items>
                          </object>
                        </child>
                      </object>
                    </child>
                    <child type="label">
                      <object class="GtkLabel">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="label" translatable="yes">Landscape</property>
                      </object>
                    </child>
                  </object>
                  <packing>
                    <property name="expand">False</property>
                    <property name="fill">True</property>
                    <property name="position">1</property>
                  </packing>
                </child>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">True</property>
                <property name="position">0</property>
              </packing>
            </child>
            <child>
              <object class="GtkFrame">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="tooltip_text" translatable="yes">These flags mark which game modes this map can be used in.</property>
                <property name="label_xalign">0</property>
                <property name="shadow_type">in</property>
                <child>
                  <object class="GtkAlignment">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="left_padding">12</property>
                    <child>
                      <object class="GtkGrid">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <child>
                          <object class="GtkCheckButton">
                            <property name="label" translatable="yes">Co-op</property>
                            <property name="visible">True</property>
                            <property name="can_focus">True</property>
                            <property name="receives_default">False</property>
                            <property name="tooltip_text" translatable="yes">The map can be played in multi-player co-operative.</property>
                            <property name="draw_indicator">True</property>
                          </object>
                          <packing>
                            <property name="left_attach">0</property>
                            <property name="top_attach">1</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkCheckButton">
                            <property name="label" translatable="yes">Solo</property>
                            <property name="visible">True</property>
                            <property name="can_focus">True</property>
                            <property name="receives_default">False</property>
                            <property name="tooltip_text" translatable="yes">The map can be played in single-player.</property>
                            <property name="draw_indicator">True</property>
                          </object>
                          <packing>
                            <property name="left_attach">0</property>
                            <property name="top_attach">0</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkCheckButton">
                            <property name="label" translatable="yes">Carnage</property>
                            <property name="visible">True</property>
                            <property name="can_focus">True</property>
                            <property name="receives_default">False</property>
                            <property name="tooltip_text" translatable="yes">The map can be played in multi-player Carnage.</property>
                            <property name="draw_indicator">True</property>
                          </object>
                          <packing>
                            <property name="left_attach">0</property>
                            <property name="top_attach">2</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkCheckButton">
                            <property name="label" translatable="yes">KTMWTB</property>
                            <property name="visible">True</property>
                            <property name="can_focus">True</property>
                            <property name="receives_default">False</property>
                            <property name="tooltip_text" translatable="yes">The map can be played in multi-player Kill The Man With The Ball</property>
                            <property name="draw_indicator">True</property>
                          </object>
                          <packing>
                            <property name="left_attach">0</property>
                            <property name="top_attach">3</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkCheckButton">
                            <property name="label" translatable="yes">King Of The Hill</property>
                            <property name="visible">True</property>
                            <property name="can_focus">True</property>
                            <property name="receives_default">False</property>
                            <property name="tooltip_text" translatable="yes">The map can be played in multi-player King of the Hill.</property>
                            <property name="draw_indicator">True</property>
                          </object>
                          <packing>
                            <property name="left_attach">1</property>
                            <property name="top_attach">0</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkCheckButton">
                            <property name="label" translatable="yes">Defense</property>
                            <property name="visible">True</property>
                            <property name="can_focus">True</property>
                            <property name="receives_default">False</property>
                            <property name="tooltip_text" translatable="yes">The map can be played in multi-player Defense.</property>
                            <property name="draw_indicator">True</property>
                          </object>
                          <packing>
                            <property name="left_attach">1</property>
                            <property name="top_attach">1</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkCheckButton">
                            <property name="label" translatable="yes">Rugby</property>
                            <property name="visible">True</property>
                            <property name="can_focus">True</property>
                            <property name="receives_default">False</property>
                            <property name="tooltip_text" translatable="yes">The map can be played in multi-player Rugby.</property>
                            <property name="draw_indicator">True</property>
                          </object>
                          <packing>
                            <property name="left_attach">1</property>
                            <property name="top_attach">2</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkCheckButton">
                            <property name="label" translatable="yes">Capture The Flag</property>
                            <property name="visible">True</property>
                            <property name="can_focus">True</property>
                            <property name="receives_default">False</property>
                            <property name="tooltip_text" translatable="yes">The map can be played in multi-player Capture The Flag.</property>
                            <property name="draw_indicator">True</property>
                          </object>
                          <packing>
                            <property name="left_attach">1</property>
                            <property name="top_attach">3</property>
                          </packing>
                        </child>
                      </object>
                    </child>
                  </object>
                </child>
                <child type="label">
                  <object class="GtkLabel">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="label" translatable="yes">Entry Flags</property>
                  </object>
                </child>
              </object>
              <packing>
                <property name="expand">True</property>
                <property name="fill">True</property>
                <property name="position">1</property>
              </packing>
            </child>
          </object>
          <packing>
            <property name="expand">True</property>
            <property name="fill">True</property>
            <property name="position">1</property>
          </packing>
        </child>
        <child>
          <object class="GtkBox">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="spacing">10</property>
            <child>
              <object class="GtkFrame">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="tooltip_text" translatable="yes">These flags are used to determine what the player must do to get success conditions in computer terminals.</property>
                <property name="label_xalign">0</property>
                <property name="shadow_type">in</property>
                <child>
                  <object class="GtkAlignment">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="left_padding">12</property>
                    <child>
                      <object class="GtkBox">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="orientation">vertical</property>
                        <property name="homogeneous">True</property>
                        <child>
                          <object class="GtkCheckButton">
                            <property name="label" translatable="yes">Extermination</property>
                            <property name="visible">True</property>
                            <property name="can_focus">True</property>
                            <property name="receives_default">False</property>
                            <property name="tooltip_text" translatable="yes">Player must kill all monsters on the map, with an error threshold of 8 aliens maximum.</property>
                            <property name="draw_indicator">True</property>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="fill">True</property>
                            <property name="position">0</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkCheckButton">
                            <property name="label" translatable="yes">Exploration</property>
                            <property name="visible">True</property>
                            <property name="can_focus">True</property>
                            <property name="receives_default">False</property>
                            <property name="tooltip_text" translatable="yes">Player must explore all marked polygons.</property>
                            <property name="draw_indicator">True</property>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="fill">True</property>
                            <property name="position">1</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkCheckButton">
                            <property name="label" translatable="yes">Retrieval</property>
                            <property name="visible">True</property>
                            <property name="can_focus">True</property>
                            <property name="receives_default">False</property>
                            <property name="tooltip_text" translatable="yes">Player must grab all items marked items.</property>
                            <property name="draw_indicator">True</property>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="fill">True</property>
                            <property name="position">2</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkCheckButton">
                            <property name="label" translatable="yes">Repair</property>
                            <property name="visible">True</property>
                            <property name="can_focus">True</property>
                            <property name="receives_default">False</property>
                            <property name="tooltip_text" translatable="yes">Player must flip all marked switches.</property>
                            <property name="draw_indicator">True</property>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="fill">True</property>
                            <property name="position">3</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkCheckButton">
                            <property name="label" translatable="yes">Rescue</property>
                            <property name="visible">True</property>
                            <property name="can_focus">True</property>
                            <property name="receives_default">False</property>
                            <property name="tooltip_text" translatable="yes">Player must keep 50% or more civilians alive.</property>
                            <property name="draw_indicator">True</property>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="fill">True</property>
                            <property name="position">4</property>
                          </packing>
                        </child>
                      </object>
                    </child>
                  </object>
                </child>
                <child type="label">
                  <object class="GtkLabel">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="label" translatable="yes">Mission Flags</property>
                  </object>
                </child>
              </object>
              <packing>
                <property name="expand">True</property>
                <property name="fill">True</property>
                <property name="position">0</property>
              </packing>
            </child>
            <child>
              <object class="GtkFrame">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="tooltip_text" translatable="yes">These flags are used to enable various environmental effects.</property>
                <property name="label_xalign">0</property>
                <property name="shadow_type">in</property>
                <child>
                  <object class="GtkAlignment">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="left_padding">12</property>
                    <child>
                      <object class="GtkBox">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="orientation">vertical</property>
                        <child>
                          <object class="GtkCheckButton">
                            <property name="label" translatable="yes">Vacuum</property>
                            <property name="visible">True</property>
                            <property name="can_focus">True</property>
                            <property name="receives_default">False</property>
                            <property name="tooltip_text" translatable="yes">Most weapons will not work, and the oxygen bar will deplete.</property>
                            <property name="draw_indicator">True</property>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="fill">True</property>
                            <property name="position">0</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkCheckButton">
                            <property name="label" translatable="yes">Magnetic</property>
                            <property name="visible">True</property>
                            <property name="can_focus">True</property>
                            <property name="receives_default">False</property>
                            <property name="tooltip_text" translatable="yes">The motion sensor will behave erratically.</property>
                            <property name="draw_indicator">True</property>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="fill">True</property>
                            <property name="position">1</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkCheckButton">
                            <property name="label" translatable="yes">Rebellion</property>
                            <property name="visible">True</property>
                            <property name="can_focus">True</property>
                            <property name="receives_default">False</property>
                            <property name="tooltip_text" translatable="yes">Items and health will be stripped, and S'pht enemies will become friendly.</property>
                            <property name="draw_indicator">True</property>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="fill">True</property>
                            <property name="position">2</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkCheckButton">
                            <property name="label" translatable="yes">Low Gravity</property>
                            <property name="visible">True</property>
                            <property name="can_focus">True</property>
                            <property name="receives_default">False</property>
                            <property name="tooltip_text" translatable="yes">Gravity will be halved.</property>
                            <property name="draw_indicator">True</property>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="fill">True</property>
                            <property name="position">3</property>
                          </packing>
                        </child>
                      </object>
                    </child>
                  </object>
                </child>
                <child type="label">
                  <object class="GtkLabel">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="label" translatable="yes">Environment Flags</property>
                  </object>
                </child>
              </object>
              <packing>
                <property name="expand">True</property>
                <property name="fill">True</property>
                <property name="position">1</property>
              </packing>
            </child>
          </object>
          <packing>
            <property name="expand">False</property>
            <property name="fill">True</property>
            <property name="position">2</property>
          </packing>
        </child>
        <child>
          <object class="GtkFrame">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="label_xalign">0</property>
            <property name="shadow_type">in</property>
            <child>
              <object class="GtkAlignment">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="bottom_padding">5</property>
                <property name="left_padding">5</property>
                <property name="right_padding">5</property>
                <child>
                  <object class="GtkBox">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="orientation">vertical</property>
                    <property name="spacing">5</property>
                    <child>
                      <object class="GtkFrame">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="label_xalign">0</property>
                        <property name="shadow_type">none</property>
                        <child>
                          <object class="GtkAlignment">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="xalign">0</property>
                            <property name="yalign">0</property>
                            <property name="xscale">0</property>
                            <property name="yscale">0</property>
                            <property name="left_padding">12</property>
                            <child>
                              <object class="GtkSpinButton">
                                <property name="visible">True</property>
                                <property name="can_focus">True</property>
                                <property name="tooltip_text" translatable="yes">This field is unused and must be either 0 or 1. It used to be used to give different physics to the map editor and low gravity before it was made into an environment flag.</property>
                                <property name="text" translatable="yes">0</property>
                                <property name="truncate_multiline">True</property>
                                <property name="adjustment">adj-phys-id</property>
                                <property name="snap_to_ticks">True</property>
                                <property name="numeric">True</property>
                                <property name="wrap">True</property>
                              </object>
                            </child>
                          </object>
                        </child>
                        <child type="label">
                          <object class="GtkLabel">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="label" translatable="yes">Physics ID</property>
                          </object>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">False</property>
                        <property name="fill">True</property>
                        <property name="position">0</property>
                      </packing>
                    </child>
                    <child>
                      <object class="GtkBox">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="spacing">10</property>
                        <child>
                          <object class="GtkFrame">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="tooltip_text" translatable="yes">These flags were added by Aleph One but are hidden and probably not meant to be used.</property>
                            <property name="label_xalign">0</property>
                            <property name="shadow_type">in</property>
                            <child>
                              <object class="GtkAlignment">
                                <property name="visible">True</property>
                                <property name="can_focus">False</property>
                                <property name="left_padding">12</property>
                                <child>
                                  <object class="GtkBox">
                                    <property name="visible">True</property>
                                    <property name="can_focus">False</property>
                                    <property name="orientation">vertical</property>
                                    <child>
                                      <object class="GtkCheckButton">
                                        <property name="label" translatable="yes">M1 Exploration</property>
                                        <property name="visible">True</property>
                                        <property name="can_focus">True</property>
                                        <property name="receives_default">False</property>
                                        <property name="tooltip_text" translatable="yes">The same as Exploration, but you only need to look at each marked polygon, not actually walk in them.</property>
                                        <property name="draw_indicator">True</property>
                                      </object>
                                      <packing>
                                        <property name="expand">False</property>
                                        <property name="fill">True</property>
                                        <property name="position">0</property>
                                      </packing>
                                    </child>
                                    <child>
                                      <object class="GtkCheckButton">
                                        <property name="label" translatable="yes">M1 Rescue</property>
                                        <property name="visible">True</property>
                                        <property name="can_focus">True</property>
                                        <property name="receives_default">False</property>
                                        <property name="tooltip_text" translatable="yes">The same as Rescue, but uses the Marathon 1 class numbers.</property>
                                        <property name="draw_indicator">True</property>
                                      </object>
                                      <packing>
                                        <property name="expand">False</property>
                                        <property name="fill">True</property>
                                        <property name="position">1</property>
                                      </packing>
                                    </child>
                                    <child>
                                      <object class="GtkCheckButton">
                                        <property name="label" translatable="yes">M1 Repair</property>
                                        <property name="visible">True</property>
                                        <property name="can_focus">True</property>
                                        <property name="receives_default">False</property>
                                        <property name="tooltip_text" translatable="yes">The same as Repair, except it only requires that the last switch (by side index) be switched to succeed.</property>
                                        <property name="draw_indicator">True</property>
                                      </object>
                                      <packing>
                                        <property name="expand">False</property>
                                        <property name="fill">True</property>
                                        <property name="position">2</property>
                                      </packing>
                                    </child>
                                  </object>
                                </child>
                              </object>
                            </child>
                            <child type="label">
                              <object class="GtkLabel">
                                <property name="visible">True</property>
                                <property name="can_focus">False</property>
                                <property name="label" translatable="yes">Hidden Mission Flags</property>
                              </object>
                            </child>
                          </object>
                          <packing>
                            <property name="expand">True</property>
                            <property name="fill">True</property>
                            <property name="position">0</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkFrame">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="tooltip_text" translatable="yes">These flags were added by Aleph One but are hidden and probably not meant to be used.</property>
                            <property name="label_xalign">0</property>
                            <property name="shadow_type">in</property>
                            <child>
                              <object class="GtkAlignment">
                                <property name="visible">True</property>
                                <property name="can_focus">False</property>
                                <property name="left_padding">12</property>
                                <child>
                                  <object class="GtkBox">
                                    <property name="visible">True</property>
                                    <property name="can_focus">False</property>
                                    <property name="orientation">vertical</property>
                                    <child>
                                      <object class="GtkCheckButton">
                                        <property name="label" translatable="yes">Marathon 1 Glue</property>
                                        <property name="visible">True</property>
                                        <property name="can_focus">True</property>
                                        <property name="receives_default">False</property>
                                        <property name="tooltip_text" translatable="yes">Glue handles like Marathon 1.</property>
                                        <property name="draw_indicator">True</property>
                                      </object>
                                      <packing>
                                        <property name="expand">False</property>
                                        <property name="fill">True</property>
                                        <property name="position">0</property>
                                      </packing>
                                    </child>
                                    <child>
                                      <object class="GtkCheckButton">
                                        <property name="label" translatable="yes">Lava Floor</property>
                                        <property name="visible">True</property>
                                        <property name="can_focus">True</property>
                                        <property name="receives_default">False</property>
                                        <property name="tooltip_text" translatable="yes">The floor damages you.</property>
                                        <property name="draw_indicator">True</property>
                                      </object>
                                      <packing>
                                        <property name="expand">False</property>
                                        <property name="fill">True</property>
                                        <property name="position">1</property>
                                      </packing>
                                    </child>
                                    <child>
                                      <object class="GtkCheckButton">
                                        <property name="label" translatable="yes">Rebellion (No strip)</property>
                                        <property name="visible">True</property>
                                        <property name="can_focus">True</property>
                                        <property name="receives_default">False</property>
                                        <property name="tooltip_text" translatable="yes">The same as Rebellion, but your items and health aren't stripped.</property>
                                        <property name="draw_indicator">True</property>
                                      </object>
                                      <packing>
                                        <property name="expand">False</property>
                                        <property name="fill">True</property>
                                        <property name="position">2</property>
                                      </packing>
                                    </child>
                                    <child>
                                      <object class="GtkCheckButton">
                                        <property name="label" translatable="yes">Music</property>
                                        <property name="visible">True</property>
                                        <property name="can_focus">True</property>
                                        <property name="receives_default">False</property>
                                        <property name="tooltip_text" translatable="yes">The map has Marathon 1-style music.</property>
                                        <property name="draw_indicator">True</property>
                                      </object>
                                      <packing>
                                        <property name="expand">False</property>
                                        <property name="fill">True</property>
                                        <property name="position">3</property>
                                      </packing>
                                    </child>
                                    <child>
                                      <object class="GtkCheckButton">
                                        <property name="label" translatable="yes">Terminals Stop Time</property>
                                        <property name="visible">True</property>
                                        <property name="can_focus">True</property>
                                        <property name="receives_default">False</property>
                                        <property name="tooltip_text" translatable="yes">Terminals will pause the game in Solo.</property>
                                        <property name="draw_indicator">True</property>
                                      </object>
                                      <packing>
                                        <property name="expand">False</property>
                                        <property name="fill">True</property>
                                        <property name="position">4</property>
                                      </packing>
                                    </child>
                                    <child>
                                      <object class="GtkCheckButton">
                                        <property name="label" translatable="yes">M1 Monster Limits</property>
                                        <property name="visible">True</property>
                                        <property name="can_focus">True</property>
                                        <property name="receives_default">False</property>
                                        <property name="tooltip_text" translatable="yes">Sets the monster activation limits to Marathon 1's.</property>
                                        <property name="draw_indicator">True</property>
                                      </object>
                                      <packing>
                                        <property name="expand">False</property>
                                        <property name="fill">True</property>
                                        <property name="position">5</property>
                                      </packing>
                                    </child>
                                    <child>
                                      <object class="GtkCheckButton">
                                        <property name="label" translatable="yes">M1 Weapon Differences</property>
                                        <property name="visible">True</property>
                                        <property name="can_focus">True</property>
                                        <property name="receives_default">False</property>
                                        <property name="tooltip_text" translatable="yes">Doubles weapon pickups on Total Carnage and makes grenades low-gravity.</property>
                                        <property name="draw_indicator">True</property>
                                      </object>
                                      <packing>
                                        <property name="expand">False</property>
                                        <property name="fill">True</property>
                                        <property name="position">6</property>
                                      </packing>
                                    </child>
                                  </object>
                                </child>
                              </object>
                            </child>
                            <child type="label">
                              <object class="GtkLabel">
                                <property name="visible">True</property>
                                <property name="can_focus">False</property>
                                <property name="label" translatable="yes">Hidden Environment Flags</property>
                              </object>
                            </child>
                          </object>
                          <packing>
                            <property name="expand">True</property>
                            <property name="fill">True</property>
                            <property name="position">1</property>
                          </packing>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">False</property>
                        <property name="fill">True</property>
                        <property name="position">1</property>
                      </packing>
                    </child>
                  </object>
                </child>
              </object>
            </child>
            <child type="label">
              <object class="GtkLabel">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="label" translatable="yes">Advanced Options (Use at your own peril)</property>
              </object>
            </child>
          </object>
          <packing>
            <property name="expand">False</property>
            <property name="fill">True</property>
            <property name="position">3</property>
          </packing>
        </child>
      </object>
    </child>
  </object>
  <object class="GtkImage" id="img-lines">
    <property name="visible">True</property>
    <property name="can_focus">False</property>
    <property name="resource">/net/greyserv/maraiah/tycho/lines</property>
  </object>
  <object class="GtkImage" id="img-points">
    <property name="visible">True</property>
    <property name="can_focus">False</property>
    <property name="resource">/net/greyserv/maraiah/tycho/points</property>
  </object>
  <object class="GtkImage" id="img-polys">
    <property name="visible">True</property>
    <property name="can_focus">False</property>
    <property name="resource">/net/greyserv/maraiah/tycho/polys</property>
  </object>
  <object class="GtkWindow" id="win-map-tools">
    <property name="can_focus">False</property>
    <property name="title" translatable="yes">Tool Palette</property>
    <property name="default_height">250</property>
    <property name="skip_taskbar_hint">True</property>
    <child>
      <placeholder/>
    </child>
    <child>
      <object class="GtkToolPalette">
        <property name="visible">True</property>
        <property name="can_focus">False</property>
        <property name="orientation">vertical</property>
        <child>
          <object class="GtkToolItemGroup">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="label" translatable="yes">Geometry</property>
            <child>
              <object class="GtkToolButton" id="btn-point">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="label" translatable="yes">Points</property>
                <property name="use_underline">True</property>
                <property name="icon_widget">img-points</property>
                <child internal-child="accessible">
                  <object class="AtkObject" id="btn-point-atkobject">
                    <property name="AtkObject::accessible-name" translatable="yes">Points Tool</property>
                    <property name="AtkObject::accessible-description" translatable="yes">The tool that modifies points in the map.</property>
                    <property name="AtkObject::accessible-role" translatable="yes">push-button</property>
                  </object>
                </child>
              </object>
              <packing>
                <property name="expand">True</property>
              </packing>
            </child>
            <child>
              <object class="GtkToolButton" id="btn-lines">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="label" translatable="yes">Lines</property>
                <property name="use_underline">True</property>
                <property name="icon_widget">img-lines</property>
                <child internal-child="accessible">
                  <object class="AtkObject" id="btn-lines-atkobject">
                    <property name="AtkObject::accessible-name" translatable="yes">Lines Tool</property>
                    <property name="AtkObject::accessible-description" translatable="yes">The tool which modifies line segments on the map.</property>
                    <property name="AtkObject::accessible-role" translatable="yes">push-button</property>
                  </object>
                </child>
              </object>
              <packing>
                <property name="expand">True</property>
                <property name="position">1</property>
              </packing>
            </child>
            <child>
              <object class="GtkToolButton" id="btn-polys">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="label" translatable="yes">Polygons</property>
                <property name="use_underline">True</property>
                <property name="icon_widget">img-polys</property>
                <child internal-child="accessible">
                  <object class="AtkObject" id="btn-polys-atkobject">
                    <property name="AtkObject::accessible-name" translatable="yes">Polygon Tool</property>
                    <property name="AtkObject::accessible-description" translatable="yes">The tool which modifies polygon shapes on the map.</property>
                    <property name="AtkObject::accessible-role" translatable="yes">push-button</property>
                  </object>
                </child>
              </object>
              <packing>
                <property name="expand">True</property>
                <property name="position">2</property>
              </packing>
            </child>
            <child internal-child="accessible">
              <object class="AtkObject">
                <property name="AtkObject::accessible-name" translatable="yes">Geometry Collection</property>
                <property name="AtkObject::accessible-description" translatable="yes">All of the tools which modify map geometry.</property>
                <property name="AtkObject::accessible-role" translatable="yes">column-header</property>
              </object>
            </child>
          </object>
          <packing>
            <property name="expand">True</property>
          </packing>
        </child>
      </object>
    </child>
    <child internal-child="accessible">
      <object class="AtkObject" id="win-map-tools-atkobject">
        <property name="AtkObject::accessible-name" translatable="yes">Tycho Tool Palette</property>
        <property name="AtkObject::accessible-description" translatable="yes">Tycho's tool palette window.</property>
        <property name="AtkObject::accessible-role" translatable="yes">window</property>
      </object>
    </child>
  </object>
  <object class="GtkAboutDialog" id="win-about">
    <property name="can_focus">False</property>
    <property name="modal">True</property>
    <property name="type_hint">dialog</property>
    <property name="program_name">Tycho Map Editor</property>
    <property name="copyright" translatable="yes">Copyright © 2018-2019 Alison Sanderson</property>
    <property name="comments" translatable="yes">greetigs i am tico the of superior ai to durdumbal go shoot my soldiers because its funny or ill put you in space</property>
    <property name="website_label" translatable="yes">Home Page</property>
    <property name="logo_icon_name">image-loading</property>
    <property name="license_type">mit-x11</property>
    <child>
      <placeholder/>
    </child>
    <child internal-child="vbox">
      <object class="GtkBox">
        <property name="can_focus">False</property>
        <property name="orientation">vertical</property>
        <property name="spacing">2</property>
        <child internal-child="action_area">
          <object class="GtkButtonBox">
            <property name="can_focus">False</property>
            <property name="layout_style">end</property>
          </object>
          <packing>
            <property name="expand">False</property>
            <property name="fill">False</property>
            <property name="position">0</property>
          </packing>
        </child>
        <child>
          <placeholder/>
        </child>
      </object>
    </child>
    <child internal-child="accessible">
      <object class="AtkObject" id="win-about-atkobject">
        <property name="AtkObject::accessible-name" translatable="yes">About Screen</property>
        <property name="AtkObject::accessible-description" translatable="yes">The about screen for Tycho.</property>
        <property name="AtkObject::accessible-role" translatable="yes">dialog</property>
      </object>
    </child>
  </object>
  <object class="GtkWindow" id="win-main">
    <property name="can_focus">False</property>
    <property name="title" translatable="yes">Tycho</property>
    <property name="resizable">False</property>
    <property name="default_width">120</property>
    <property name="default_height">250</property>
    <child>
      <placeholder/>
    </child>
    <child>
      <object class="GtkMenuBar">
        <property name="visible">True</property>
        <property name="can_focus">False</property>
        <property name="pack_direction">ttb</property>
        <child>
          <object class="GtkMenuItem">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="label" translatable="yes">_File</property>
            <property name="use_underline">True</property>
            <child type="submenu">
              <object class="GtkMenu">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <child>
                  <object class="GtkMenuItem" id="btn-new">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="tooltip_text" translatable="yes">Create a new project.</property>
                    <property name="label" translatable="yes">_New Project</property>
                    <property name="use_underline">True</property>
                  </object>
                </child>
                <child>
                  <object class="GtkMenuItem" id="btn-open">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="tooltip_text" translatable="yes">Opens any type of project file.</property>
                    <property name="label" translatable="yes">_Open</property>
                    <property name="use_underline">True</property>
                  </object>
                </child>
                <child>
                  <object class="GtkMenuItem" id="btn-save">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="tooltip_text" translatable="yes">Saves the currently open project.</property>
                    <property name="label" translatable="yes">_Save</property>
                    <property name="use_underline">True</property>
                  </object>
                </child>
                <child>
                  <object class="GtkSeparatorMenuItem">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                  </object>
                </child>
                <child>
                  <object class="GtkMenuItem" id="btn-quit">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="tooltip_text" translatable="yes">Quit the application.</property>
                    <property name="label" translatable="yes">_Quit</property>
                    <property name="use_underline">True</property>
                  </object>
                </child>
              </object>
            </child>
          </object>
        </child>
        <child>
          <object class="GtkMenuItem">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="label" translatable="yes">_View</property>
            <property name="use_underline">True</property>
            <child type="submenu">
              <object class="GtkMenu">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <child>
                  <object class="GtkMenuItem" id="btn-show-map-view">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="tooltip_text" translatable="yes">Opens the map view window.</property>
                    <property name="label" translatable="yes">Show _Map View</property>
                    <property name="use_underline">True</property>
                  </object>
                </child>
                <child>
                  <object class="GtkMenuItem" id="btn-show-map-tools">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="tooltip_text" translatable="yes">Opens the map toolbox window.</property>
                    <property name="label" translatable="yes">Show Map _Tools</property>
                    <property name="use_underline">True</property>
                  </object>
                </child>
                <child>
                  <object class="GtkMenuItem" id="btn-show-map-prop">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="label" translatable="yes">Show Map _Properties</property>
                    <property name="use_underline">True</property>
                  </object>
                </child>
              </object>
            </child>
          </object>
        </child>
        <child>
          <object class="GtkSeparatorMenuItem">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
          </object>
        </child>
        <child>
          <object class="GtkMenuItem">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="right_justified">True</property>
            <property name="label" translatable="yes">_Info</property>
            <property name="use_underline">True</property>
            <child type="submenu">
              <object class="GtkMenu">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <child>
                  <object class="GtkMenuItem" id="btn-about">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="tooltip_text" translatable="yes">Opens a window with information about this program.</property>
                    <property name="label" translatable="yes">_About</property>
                    <property name="use_underline">True</property>
                  </object>
                </child>
              </object>
            </child>
          </object>
        </child>
      </object>
    </child>
  </object>
</interface>
